Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Google chrome installation problem on a 32bit

  1. #1
    Join Date
    Nov 2009
    Location
    Amsterdam
    Posts
    15

    Default Google chrome installation problem on a 32bit

    Hi,

    I am having trouble to install the google chrome beta version. when i try to install it, i get this error.

    a problem occurred, report the problem to the bugtracker. I


    [PK_TMP_DIR|dir:///var/tmp/TmpDir.47IQKU] Repository already exists.

    Some poeple are able to install it, i was wondering if i was doing something wrong. Any assistance is appreciated

    Cheers,

  2. #2
    Join Date
    Dec 2008
    Location
    GMT-7
    Posts
    382

    Default Re: Google chrome installation problem on a 32bit

    Under YAST - Software Repositories, what do you have listed there? Does anything look out of place?
    Desk: AMD Phenom II X4 945 8GB RAM Radeon HD 3300 Arch Linux Xfce 4.8
    Lap: Intel 2.13GHz Core i3 M330 8GB RAM nVidia GeForce 310M Arch Linux KDE 4.7.3

  3. #3
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Google chrome installation problem on a 32bit

    Are you downloading the .rpm then in a su terminal doing:

    Code:
    rpm -ihv google-chrome-beta_current_i386.rpm
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  4. #4
    Join Date
    Dec 2009
    Location
    Moldova
    Posts
    129

    Default Re: Google chrome installation problem on a 32bit

    i have installed it with:
    zypper install google-chrome-beta_current_i386.rpm

    some additional packages were installed automatically. Then in order to have working flash player(as it is was described somewhere in the froum):

    cd /opt/google/chrome/
    ln -s /usr/lib/browser-plugins/ plugins

    everything is working OK

  5. #5
    Join Date
    Nov 2009
    Location
    Amsterdam
    Posts
    15

    Default Re: Google chrome installation problem on a 32bit

    Finally, it works. I used the zypper install and went on to install the remaining google package in yast through the console.

    When i used RPM it did not work.

    Linux-HP\EMEA:/home/lowcase/Download # rpm -ihv google-chrome-beta_current_i386.rpm
    warning: google-chrome-beta_current_i386.rpm: Header V3 DSA signature: NOKEY, key ID 7fac5991
    error: Failed dependencies:
    lsb >= 3.2 is needed by google-chrome-beta-4.0.249.30-33928.i386

    Thanks for the help.

  6. #6
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,729
    Blog Entries
    20

    Default Re: Google chrome installation problem on a 32bit

    Quote Originally Posted by lowcase View Post
    Finally, it works. I used the zypper install and went on to install the remaining google package in yast through the console.

    When i used RPM it did not work.

    Linux-HP\EMEA:/home/lowcase/Download # rpm -ihv google-chrome-beta_current_i386.rpm
    warning: google-chrome-beta_current_i386.rpm: Header V3 DSA signature: NOKEY, key ID 7fac5991
    error: Failed dependencies:
    lsb >= 3.2 is needed by google-chrome-beta-4.0.249.30-33928.i386

    Thanks for the help.
    The next step would have been
    zypper in lsb
    yes

    rpm -ihv google-chrome-beta_current_i386.rpm

    ln -s /usr/lib/browser-plugins /opt/google/chrome/plugins


    At next start of software management accept the key to import the repo

    Anyway - Good you have it working
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  7. #7

    Default Re: Google chrome installation problem on a 32bit

    Linux 2.6.25.20-0.5-pae i686 openSUSE 11.0 (i586) KDE 3.5.9 "release 49.2"


    I am also having a problem installing Google Chrome Browser.
    My 1st attempt, I got the 'lsb' dependancy error and I upgraded lsb to the required 3.2.41 from 3.1... that was on my machine.

    My next attempt was to install thru terminal using rpm command
    [rpm -ihv google-chrome-beta_current_i386.rpm] as su
    I did not get any further msgs and found the Chrome Browser in Applications>Internet. However when I clicked on it, all I got was the bouncy chrome cursor, a flash of a blue window and then nothing.

    I then uninstalled google chrome browser thru Yast, deleted the google repository and tried to use the zypper way [as in this post]:

    [zypper install google-chrome-beta_current_i386.rpm
    with the following after
    cd /opt/google/chrome/
    ln -s /usr/lib/browser-plugins/ plugins]

    but still I only get: bouncy chrome cursor, a flash of a blue window and then nothing.

    Anyone have any ideas why this might be? What might I do do get this working?
    Last edited by LaQuirrELL; 24-Jan-2010 at 12:30. Reason: end of conversation misplaced

  8. #8
    Join Date
    Jun 2008
    Location
    UTC+10
    Posts
    9,686
    Blog Entries
    4

    Default Re: Google chrome installation problem on a 32bit

    Start it from a terminal so that you can see any error messages:

    google-chrome

  9. #9

    Default Re: Google chrome installation problem on a 32bit

    ty
    this is what I get when starting from terminal:

    labud@linux-zmuf:~> google-chrome
    /opt/google/chrome/chrome --channel=11103.a30eb00.525813072 --type=renderer --lang=en-US --force-fieldtest=AsyncSlowStart/_AsyncSlowStart_off/DnsImpact/_max_250ms_queue_prefetch/GlobalSdch/_global_disable_sdch/SocketLateBinding/_enable_late_binding/: symbol lookup error: /opt/google/chrome/chrome --channel=11103.a30eb00.525813072 --type=renderer --lang=en-US --force-fieldtest=AsyncSlowStart/_AsyncSlowStart_off/DnsImpact/_max_250ms_queue_prefetch/GlobalSdch/_global_disable_sdch/SocketLateBinding/_enable_late_binding/: undefined symbol: cairo_format_stride_for_width
    /usr/bin/google-chrome: symbol lookup error: /usr/bin/google-chrome: undefined symbol: cairo_format_stride_for_width
    labud@linux-zmuf:~>


    I did some googling and it was suggested to:

    "update your cairo lib to 1.6.4"

    The version I have on my opensuse 11.0 is 1.4.14-32.1
    When I check in the versions tab it only shows 1.4.14-32.1
    Do I need some other repo in order to update this to cairo 1.6.4

    OR

    I can downloaded version 1.6.4 from cairo's website and I can compile it but I don't know if I should uninstall ver 1.4.14 first or will 1.6.4 overwrite 1.4.14?

    OR

    Do I need to be doing something else?

  10. #10

    Lightbulb Re: Google chrome installation problem on a 32bit

    I was also facing the same problem.

    It got resolved while installing cairo-1.6.4-2.1.i586.rpm.

    You can search this package in http://software.opensuse.org/search/search

    Hope it helps ..

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •